#version 330 core

in vec2 texCoord;
in vec4 vertexFragColor;
out vec4 fragColor;
uniform sampler2D texture0;
uniform vec4 color = vec4(1,1,1,1);
uniform bool enableVertexColor = false;

void main() {
    fragColor = color;

    if (enableVertexColor) {
        fragColor *= vertexFragColor;
    }
}
